Poggio
Docs
REST APIV1OAuth

Register Client

OAuth 2.0 Dynamic Client Registration endpoint (RFC 7591). Allows clients to dynamically register without prior authentication.

POST
/v1/oauth/register

Authorization

BearerToken
AuthorizationBearer <token>

Pass an OAuth access token or an API token from Settings > MCP Server.

In: header

Request Body

application/json

redirect_uris?array<>

Array of redirection URIs for use in redirect-based flows

Default[]
token_endpoint_auth_method?string

Client authentication method at the token endpoint (e.g., 'client_secret_post')

Default"client_secret_post"
grant_types?array<>

Array of OAuth 2.0 grant types the client will use (authorization code)

Default["authorization_code"]
response_types?array<>

Array of OAuth 2.0 response types the client will use (e.g., 'code')

Default["code"]
client_name?|

Human-readable name of the client

client_uri?|

URL of the client's homepage

logo_uri?|

URL that references a logo for the client

scope?|

Space-separated list of scope values the client can use

contacts?array<>|

Array of contact email addresses

tos_uri?|

URL that points to terms of service

policy_uri?|

URL that points to privacy policy

software_id?|

Unique identifier for the client software

software_version?|

Version of the client software

Response Body

application/json

application/json

curl -X POST "https://api.poggio.io/v1/oauth/register" \  -H "Content-Type: application/json" \  -d '{}'
{
  "client_id": "string",
  "client_secret": "string",
  "client_id_issued_at": 0,
  "client_secret_expires_at": 0,
  "client_name": "string",
  "redirect_uris": [
    "string"
  ],
  "token_endpoint_auth_method": "string",
  "grant_types": [
    "authorization_code"
  ],
  "response_types": [
    "string"
  ],
  "scope": "string",
  "client_uri": "string",
  "logo_uri": "string",
  "contacts": [
    "string"
  ],
  "tos_uri": "string",
  "policy_uri": "string",
  "software_id": "string",
  "software_version": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}